Lift a block
curl --request POST \
--url https://api.tagada.io/v1/block-list/{id}/lift \
--header 'Authorization: Bearer <token>' \
--header 'idempotency-key: <idempotency-key>'import requests
url = "https://api.tagada.io/v1/block-list/{id}/lift"
headers = {
"idempotency-key": "<idempotency-key>",
"Authorization": "Bearer <token>"
}
response = requests.post(url, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'idempotency-key': '<idempotency-key>', Authorization: 'Bearer <token>'}
};
fetch('https://api.tagada.io/v1/block-list/{id}/lift', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.tagada.io/v1/block-list/{id}/lift",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"idempotency-key: <idempotency-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.tagada.io/v1/block-list/{id}/lift"
req, _ := http.NewRequest("POST", url, nil)
req.Header.Add("idempotency-key", "<idempotency-key>")
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.tagada.io/v1/block-list/{id}/lift")
.header("idempotency-key", "<idempotency-key>")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.tagada.io/v1/block-list/{id}/lift")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["idempotency-key"] = '<idempotency-key>'
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"created_at": "2023-11-07T05:31:56Z",
"id": "<string>",
"kind": "email",
"managed_by": "payments_api",
"object": "block_list_entry",
"reason": "<string>",
"source": "merchant",
"stores": [
"<string>"
],
"until": "2023-11-07T05:31:56Z",
"value": "<string>"
}{
"error": {
"code": "account_daily_cap_exceeded",
"message": "<string>",
"param": "<string>",
"request_id": "<string>",
"type": "invalid_request_error",
"details": {}
}
}{
"error": {
"code": "account_daily_cap_exceeded",
"message": "<string>",
"param": "<string>",
"request_id": "<string>",
"type": "invalid_request_error",
"details": {}
}
}{
"error": {
"code": "account_daily_cap_exceeded",
"message": "<string>",
"param": "<string>",
"request_id": "<string>",
"type": "invalid_request_error",
"details": {}
}
}{
"error": {
"code": "account_daily_cap_exceeded",
"message": "<string>",
"param": "<string>",
"request_id": "<string>",
"type": "invalid_request_error",
"details": {}
}
}{
"error": {
"code": "account_daily_cap_exceeded",
"message": "<string>",
"param": "<string>",
"request_id": "<string>",
"type": "invalid_request_error",
"details": {}
}
}{
"error": {
"code": "account_daily_cap_exceeded",
"message": "<string>",
"param": "<string>",
"request_id": "<string>",
"type": "invalid_request_error",
"details": {}
}
}{
"error": {
"code": "account_daily_cap_exceeded",
"message": "<string>",
"param": "<string>",
"request_id": "<string>",
"type": "invalid_request_error",
"details": {}
}
}{
"error": {
"code": "account_daily_cap_exceeded",
"message": "<string>",
"param": "<string>",
"request_id": "<string>",
"type": "invalid_request_error",
"details": {}
}
}Block list
Lift a block
Ends one of this API’s blocks now; the entry stays for the payments it refused. A V2 block rule answers block_rule_managed_by_v2.
POST
/
v1
/
block-list
/
{id}
/
lift
Lift a block
curl --request POST \
--url https://api.tagada.io/v1/block-list/{id}/lift \
--header 'Authorization: Bearer <token>' \
--header 'idempotency-key: <idempotency-key>'import requests
url = "https://api.tagada.io/v1/block-list/{id}/lift"
headers = {
"idempotency-key": "<idempotency-key>",
"Authorization": "Bearer <token>"
}
response = requests.post(url, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'idempotency-key': '<idempotency-key>', Authorization: 'Bearer <token>'}
};
fetch('https://api.tagada.io/v1/block-list/{id}/lift', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.tagada.io/v1/block-list/{id}/lift",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"idempotency-key: <idempotency-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.tagada.io/v1/block-list/{id}/lift"
req, _ := http.NewRequest("POST", url, nil)
req.Header.Add("idempotency-key", "<idempotency-key>")
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.tagada.io/v1/block-list/{id}/lift")
.header("idempotency-key", "<idempotency-key>")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.tagada.io/v1/block-list/{id}/lift")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["idempotency-key"] = '<idempotency-key>'
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"created_at": "2023-11-07T05:31:56Z",
"id": "<string>",
"kind": "email",
"managed_by": "payments_api",
"object": "block_list_entry",
"reason": "<string>",
"source": "merchant",
"stores": [
"<string>"
],
"until": "2023-11-07T05:31:56Z",
"value": "<string>"
}{
"error": {
"code": "account_daily_cap_exceeded",
"message": "<string>",
"param": "<string>",
"request_id": "<string>",
"type": "invalid_request_error",
"details": {}
}
}{
"error": {
"code": "account_daily_cap_exceeded",
"message": "<string>",
"param": "<string>",
"request_id": "<string>",
"type": "invalid_request_error",
"details": {}
}
}{
"error": {
"code": "account_daily_cap_exceeded",
"message": "<string>",
"param": "<string>",
"request_id": "<string>",
"type": "invalid_request_error",
"details": {}
}
}{
"error": {
"code": "account_daily_cap_exceeded",
"message": "<string>",
"param": "<string>",
"request_id": "<string>",
"type": "invalid_request_error",
"details": {}
}
}{
"error": {
"code": "account_daily_cap_exceeded",
"message": "<string>",
"param": "<string>",
"request_id": "<string>",
"type": "invalid_request_error",
"details": {}
}
}{
"error": {
"code": "account_daily_cap_exceeded",
"message": "<string>",
"param": "<string>",
"request_id": "<string>",
"type": "invalid_request_error",
"details": {}
}
}{
"error": {
"code": "account_daily_cap_exceeded",
"message": "<string>",
"param": "<string>",
"request_id": "<string>",
"type": "invalid_request_error",
"details": {}
}
}{
"error": {
"code": "account_daily_cap_exceeded",
"message": "<string>",
"param": "<string>",
"request_id": "<string>",
"type": "invalid_request_error",
"details": {}
}
}Authorizations
Secret, platform or publishable API key. Platform keys require Payments-Account.
Headers
Available options:
2026-11-01 Required string length:
1 - 255Path Parameters
Pattern:
^be_[a-f0-9]{12}$Response
Block list entry; values are hashed except card ranges.
Pattern:
^be_[a-f0-9]{12}$Available options:
email, ip, card, card_range, other payments_api: an entry of this API, lifted here. v2: a V2 block rule, shown read-only; lift it in V2.
Available options:
payments_api, v2 Available options:
block_list_entry Available options:
merchant, abuse_detection Pattern:
^store_[a-f0-9]{12}$